Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.adapter
Class RecordsToStandardize

    java.lang.Object
      com.sun.mdm.index.matching.adapter.RecordsToStandardize

class RecordsToStandardize
extends java.lang.Object

Utility class to hold the records to standardize

Constructor Summary
`(package private)` | `RecordsToStandardize()`

Method Summary
`java.lang.String[]` | `getDomains()`
`StandardizationFieldGroup[]` | `getRecFieldGroups()` Accessor for FieldGroup
`java.lang.String[]` | `getRecords()` Accessor for Records
`java.lang.String[]` | `getRecStandardizationTypes()` Accessor for StandardizationTypes
`void` | `setDomains(java.lang.String[] domains)`
`void` | `setRecFieldGroups(StandardizationFieldGroup[] recFieldGroups)` Accessor for FieldGroup
`void` | `setRecords(java.lang.String[] records)` Accessor for Records
`void` | `setRecStandardizationTypes(java.lang.String[] recStandardizationTypes)` Accessor for StandardizationTypes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordsToStandardize

    RecordsToStandardize()

Method Detail

### getDomains

    public java.lang.String[] getDomains()

### getRecFieldGroups

    public StandardizationFieldGroup[] getRecFieldGroups()

  Accessor for FieldGroup

  Returns:
    the field group corresponding to each record

### getRecords

    public java.lang.String[] getRecords()

  Accessor for Records

  Returns:
    the Strings to standardize

### getRecStandardizationTypes

    public java.lang.String[] getRecStandardizationTypes()

  Accessor for StandardizationTypes

  Returns:
    The standardization type corresponding to each record

### setDomains

    public void setDomains(java.lang.String[] domains)

### setRecFieldGroups

    public void setRecFieldGroups(StandardizationFieldGroup[] recFieldGroups)

  Accessor for FieldGroup

  Parameters:
    `recFieldGroups` - the field group corresponding to each record

### setRecords

    public void setRecords(java.lang.String[] records)

  Accessor for Records

  Parameters:
    `records` - the Strings to standardize

### setRecStandardizationTypes

    public void setRecStandardizationTypes(java.lang.String[] recStandardizationTypes)

  Accessor for StandardizationTypes

  Parameters:
    `recStandardizationTypes` - the standardization type corresponding to each record

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.